restic backup(1)

NAME

restic-forget - Remove snapshots from the repository

SYNOPSIS

restic forget [flags] [snapshot ID] [...]

DESCRIPTION

The "forget" command removes snapshots according to a policy. Please note that this command really only deletes the snapshot object in the repository, which is a reference to data stored there. In order to remove this (now unreferenced) data after 'forget' was run successfully, see the 'prune' command.

OPTIONS

-l, --keep-last=0
    keep the last n snapshots

-H, --keep-hourly=0
    keep the last n hourly snapshots

-d, --keep-daily=0
    keep the last n daily snapshots

-w, --keep-weekly=0
    keep the last n weekly snapshots

-m, --keep-monthly=0
    keep the last n monthly snapshots

-y, --keep-yearly=0
    keep the last n yearly snapshots

--keep-within=
    keep snapshots that are newer than duration (eg. 1y5m7d2h) relative to the latest snapshot

--keep-tag=[]
    keep snapshots with this taglist (can be specified multiple times)

--host=""
    only consider snapshots with the given host

--tag=[]
    only consider snapshots which include this taglist in the format tag[,tag,...] (can be specified multiple times)

--path=[]
    only consider snapshots which include this (absolute) path (can be specified multiple times)

-c, --compact[=false]
    use compact format

-g, --group-by="host,paths"
    string for grouping snapshots by host,paths,tags

-n, --dry-run[=false]
    do not delete anything, just print what would be done

--prune[=false]
    automatically run the 'prune' command if snapshots have been removed

-h, --help[=false]
    help for forget

OPTIONS INHERITED FROM PARENT COMMANDS

--cacert=[]
    file to load root certificates from (default: use system certificates)

--cache-dir=""
    set the cache directory. (default: use system default cache directory)

--cleanup-cache[=false]
    auto remove old cache directories

--json[=false]
    set output mode to JSON for commands that support it

--key-hint=""
    key ID of key to try decrypting first (default: $RESTIC_KEY_HINT)

--limit-download=0
    limits downloads to a maximum rate in KiB/s. (default: unlimited)

--limit-upload=0
    limits uploads to a maximum rate in KiB/s. (default: unlimited)

--no-cache[=false]
    do not use a local cache

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

--password-command=""
    specify a shell command to obtain a password (default: $RESTIC_PASSWORD_COMMAND)

-p, --password-file=""
    read the repository password from a file (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

--tls-client-cert=""
    path to a file containing PEM encoded TLS client certificate and private key

-v, --verbose[=0]
    be verbose (specify --verbose multiple times or level n)

SEE ALSO

restic(1)